> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/82.-query-restore-subscription-events.md).

# 82. Spørring: Gjenopprett abonnementshendelser

Det er alltid god praksis å kunne gjenopprette og kontrollere på nytt hvilke abonnementshendelser som er levert, sammenlignet med dem som er produsert. Derfor lagrer GeoPard historikken over alle produserte abonnementshendelser for de **siste 12 månedene**.

Vanlige bruksområder:

* Dårlig internettforbindelse, og hendelsene ble ikke levert
* Ny utrulling av WebSocket-lytteren
* Kontroller samsvaret mellom mottatte og produserte hendelser

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Støttede inndatafiltre:

* `dateFrom` som dato og klokkeslett i ISO 8701-format (f.eks. `"2023-05-25T12:49:00.000Z"`)
* `dateTo` som dato og klokkeslett i ISO 8701-format (f.eks. `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` som en liste over UUID-er for «Farm» det skal søkes i
* `fieldUuids` som en liste over UUID-er for «Field» det skal søkes i
* `userUuids` som en liste med UUID-er for «User» som det skal søkes etter
* `eventUuids` som en liste over UUID-er for abonnementshendelser («Event»)

{% hint style="info" %}
Alle filtrene fungerer som en logisk **AND**.
{% endhint %}

{% hint style="info" %}
Hver abonnementshendelse har et attributt `executionDate` som er knyttet til tidspunktet hendelsen ble sendt, i AWSDateTime-format som er kompatibelt med ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/82.-query-restore-subscription-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
